<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:15 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.smx.iface.MatrixBase
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.smx.iface.MatrixBase";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/smx/iface/class-use/MatrixBase.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatrixBase.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.smx.iface.MatrixBase</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.column"><B>ch.javasoft.metabolic.efm.column</B></A></TD>
<TD>The <tt>column</tt> subpackage defines a 
<A HREF="../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column"><CODE>column</CODE></A> interface representing
an (intermediary) elementary mode; implementations for different number types 
are available.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.iface"><B>ch.javasoft.smx.iface</B></A></TD>
<TD>The <tt>smx.iface</tt> package contains interfaces representing matrices for
different number types.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.impl"><B>ch.javasoft.smx.impl</B></A></TD>
<TD>The <tt>smx.impl</tt> package contains classes implementing the interfaces
defined in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html"><CODE>iface</CODE></A> package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.util"><B>ch.javasoft.smx.util</B></A></TD>
<TD>The <tt>smx.util</tt> package contains helper classes for the <code>smx</code>
packages.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.column"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A> in <A HREF="../../../../../ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A> that implement <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/column/VarIntMatrix.html" title="class in ch.javasoft.metabolic.efm.column">VarIntMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>VarIntMatrix</code> wraps around a <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface"><CODE>BigIntegerMatrix</CODE></A></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.iface"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A> in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html">ch.javasoft.smx.iface</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subinterfaces of <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A> in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html">ch.javasoft.smx.iface</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Readable/writable matrix based on <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> numbers</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DoubleMatrix</code> TODO type javadoc for DoubleMatrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface">DoubleVector</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/IntMatrix.html" title="interface in ch.javasoft.smx.iface">IntMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IntMatrix</code> TODO type javadoc for IntMatrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/IntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">IntRationalMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IntRationalMatrix</code> TODO type javadoc for IntRationalMatrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/LongMatrix.html" title="interface in ch.javasoft.smx.iface">LongMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/LongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">LongRationalMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(Readable) matrix based on <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> numbers</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableIntMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>ReadableIntMatrix</code> TODO type javadoc for ReadableIntMatrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntRationalMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>ReadableIntRationalMatrix</code> TODO type javadoc for ReadableIntRationalMatrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableLongMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongRationalMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>ReadableMatrix</code> contains methods for readable matrices of
 any data type.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>ReadableVector</code> contains methods for readable vectors of
 any data type.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>VectorBase</code> contains basic methods for vectors of any
 data type, which are applicable to the readable and writable subinterfaces.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(Writable) matrix based on <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> numbers</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerRationalMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">WritableDoubleMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>WritableIntMatrix</code> TODO type javadoc for WritableIntMatrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntRationalMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>WritableIntRationalMatrix</code> TODO type javadoc for WritableIntRationalMatrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/WritableLongMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongRationalMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>WritableMatrix</code> contains methods for writable matrices of
 any data type.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>WritableVector</code> contains methods for writable vectors of
 any data type.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html">ch.javasoft.smx.iface</A> that return <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="type parameter in MatrixBase">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>MatrixBase.</B><B><A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="type parameter in MatrixBase">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>MatrixBase.</B><B><A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html#newInstance(int, int)">newInstance</A></B>(int&nbsp;rows,
                       int&nbsp;cols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="type parameter in MatrixBase">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>MatrixBase.</B><B><A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html#newInstance(N[][], boolean)">newInstance</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="type parameter in MatrixBase">N</A>[][]&nbsp;data,
                       boolean&nbsp;rowsInDim1)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="type parameter in MatrixBase">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>MatrixBase.</B><B><A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html#transpose()">transpose</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A> in <A HREF="../../../../../ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A> that implement <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>AbstractDoubleMatrix</code> contains methods which are typically
 common for <A HREF="../../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface"><CODE>DoubleMatrix</CODE></A> implementations, or default implementations
 for some methods.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/AbstractVector.html" title="class in ch.javasoft.smx.impl">AbstractVector&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Abstract superclass with default implementations which might be common for
 most vector classes for specific data types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DefaultBigIntegerMatrix</code> is the default implementation of 
 <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface"><CODE>BigIntegerMatrix</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerRationalMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerVector</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DefaultBigIntegerVector</code> ...</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultDoubleMatrix.html" title="class in ch.javasoft.smx.impl">DefaultDoubleMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DefaultDoubleMatrix</code> is the default implementation of the DoubleMatrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultIntMatrix.html" title="class in ch.javasoft.smx.impl">DefaultIntMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DefaultIntMatrix</code> is the default implementation of IntMatrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultIntRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultIntRationalMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DefaultIntRationalMatrix</code> is the default implementation of
 IntRationalMatrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultLongMatrix.html" title="class in ch.javasoft.smx.impl">DefaultLongMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DefaultLongMatrix</code> is the default implementation of LongMatrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DynamicDoubleMatrix</code> TODO type javadoc for DynamicDoubleMatrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicColumns.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicColumns</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicRows</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/SubDoubleMatrix.html" title="class in ch.javasoft.smx.impl">SubDoubleMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>SubDoubleMatrix</code> TODO type javadoc for SubDoubleMatrix</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.util"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A> in <A HREF="../../../../../ch/javasoft/smx/util/package-summary.html">ch.javasoft.smx.util</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/smx/util/package-summary.html">ch.javasoft.smx.util</A> with parameters of type <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DimensionCheck.</B><B><A HREF="../../../../../ch/javasoft/smx/util/DimensionCheck.html#checkEqualColumnCount(ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase)">checkEqualColumnCount</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mxA,
                                           <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mxB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DimensionCheck.</B><B><A HREF="../../../../../ch/javasoft/smx/util/DimensionCheck.html#checkEqualColumnCount(ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase)">checkEqualColumnCount</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mxA,
                                           <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mxB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DimensionCheck.</B><B><A HREF="../../../../../ch/javasoft/smx/util/DimensionCheck.html#checkEqualDimensions(ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase)">checkEqualDimensions</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mxA,
                                         <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mxB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DimensionCheck.</B><B><A HREF="../../../../../ch/javasoft/smx/util/DimensionCheck.html#checkEqualDimensions(ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase)">checkEqualDimensions</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mxA,
                                         <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mxB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DimensionCheck.</B><B><A HREF="../../../../../ch/javasoft/smx/util/DimensionCheck.html#checkEqualRowCount(ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase)">checkEqualRowCount</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mxA,
                                     <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mxB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DimensionCheck.</B><B><A HREF="../../../../../ch/javasoft/smx/util/DimensionCheck.html#checkEqualRowCount(ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase)">checkEqualRowCount</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mxA,
                                     <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mxB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DimensionCheck.</B><B><A HREF="../../../../../ch/javasoft/smx/util/DimensionCheck.html#checkMulDimensions(ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase)">checkMulDimensions</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;srcA,
                                     <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;srcB,
                                     <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;dst)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DimensionCheck.</B><B><A HREF="../../../../../ch/javasoft/smx/util/DimensionCheck.html#checkMulDimensions(ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase)">checkMulDimensions</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;srcA,
                                     <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;srcB,
                                     <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;dst)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DimensionCheck.</B><B><A HREF="../../../../../ch/javasoft/smx/util/DimensionCheck.html#checkMulDimensions(ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase)">checkMulDimensions</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;srcA,
                                     <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;srcB,
                                     <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;dst)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DimensionCheck.</B><B><A HREF="../../../../../ch/javasoft/smx/util/DimensionCheck.html#checkSqareDimensions(ch.javasoft.smx.iface.MatrixBase)">checkSqareDimensions</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DimensionCheck.</B><B><A HREF="../../../../../ch/javasoft/smx/util/DimensionCheck.html#checkTransposeDimensions(ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase)">checkTransposeDimensions</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;src,
                                                 <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;dst)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DimensionCheck.</B><B><A HREF="../../../../../ch/javasoft/smx/util/DimensionCheck.html#checkTransposeDimensions(ch.javasoft.smx.iface.MatrixBase, ch.javasoft.smx.iface.MatrixBase)">checkTransposeDimensions</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;src,
                                                 <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&nbsp;dst)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/smx/iface/class-use/MatrixBase.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatrixBase.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
